<template>
  <section>
    <div class="container-fluid">
      <div class="col-md-1 offset-1">
         <strong> <p v-if="activar" > Preguntas Activas</p></strong>
          <button v-if="activar" class="btn btn-outline-success" v-on:click="activo"><!--For modern browsers--><i class="material-icons">toggle_on</i></button>
         <strong> <p v-if="!activar">Preguntas Desactivadas</p></strong>
          <button v-if="!activar" class="btn btn-outline-warning" v-on:click="activo"><!--For modern browsers--><i class="material-icons">toggle_off</i></button>
      
      </div>

       <div class="col-md-1 offset-2" style="margin-top:-3.4%">
          <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#myModal" v-if="activar"  v-on:click="limpiar"><i class="material-icons">add_box</i></button>
          <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#myModal" v-if="!activar" disabled  v-on:click="limpiar"><i class="material-icons">add_box</i></button>
      
      </div>
      
      <div class="col-md-8 offset-1 pt-3">
        <div class="card">
          <div class="card-header"></div>
          <div class="card-body">
            <table class="table table-striped">
              <thead>
                <tr>
                  <th scope="col">Pregunta</th>
                  <th scope="col-2">Acciones</th>
                </tr>
              </thead>
              <tbody>
                  <tr v-for="(item, index) in listaPreguntas" :key="index" >
                    <!-- En caso de estar Activos-->
                      <td v-if="activar && item.estatus==1">
                          {{item.pregunta}}
                      </td >
                        <td v-if="activar && item.estatus==1">
                           
                          <button class="btn btn-outline-danger" style="margin-right:2px;" v-on:click="eliminar(item.id)">  <i class="material-icons">delete</i></button>
                          <button class="btn btn-outline-warning" data-toggle="modal" data-target="#myModal">  <i class="material-icons" v-on:click="moficaModal(item)">edit</i></button>
                        </td>

                    <!-- En caso de estar Activos-->
                     <!-- En caso de estar Desactivados-->
                       <td v-if="!activar && item.estatus!=1">
                          {{item.pregunta}}
                      </td >
                        <td v-if="!activar && item.estatus!=1">
                            <button class="btn btn-outline-danger" style="margin-right:2px;" v-on:click="recuperar(item.id)">  <i class="material-icons">toggle_off</i></button>
                        </td>
                      
                     <!-- En caso de estar Desactivados-->
                  
                  </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>

      
<!-- Inicio del modal- REGISTRAR -->

  <div class="modal" id="myModal">
    <div class="modal-dialog">
      <div class="modal-content">
      
        <!-- Modal Header -->
        <div class="modal-header">
          <h4 class="modal-title" v-if="modificarPregunta">Preguntas Registro</h4>
          <h4 class="modal-title" v-if="!modificarPregunta">Preguntas modificar</h4>

          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        
        <!-- Modal body -->
        <div class="modal-body">
        <input type="text" class="form-control" placeholder="Ingresa la nueva pregunta" v-model="pregunta"/>
        </div>
        
        <!-- Modal footer -->
        <div class="modal-footer">
          <button type="button" class="btn btn-danger" data-dismiss="modal"><i class="material-icons">
close
</i></button>
          <button type="button" class="btn btn-success" v-on:click="registro()" v-if="modificarPregunta" ><i class="material-icons">save_alt</i></button>
          <button type="button" class="btn btn-success" v-on:click="modificar()" v-if="!modificarPregunta" ><i class="material-icons">save_alt</i></button>
        
        </div>
        
      </div>
    </div>
  </div>
  
<!-- Inicio del modal- REGISTRAR-->
<!-- Inicio del modal- MODIFICAR -->
<!-- Inicio del modal- MODIFICAR-->
      
    </div>
  </section>
</template>
<script>
import axios from "axios";
import { server } from "../../store";
import { functions } from "../../functionsGolbals";

export default {
  mixins: [functions],
  data() {
    return {
      listaPreguntas: [],
      activar:true,
      pregunta:"",
      preguntaModificar:"",
      modificarPregunta:true,
    };
  },
  mounted() {  
     axios
        .get(`${server.baseURL}/api/preguntas/vistaServicios`)
        .then(data => (this.listaPreguntas = data.data));

  },
  methods: {
    limpiar: function() {
      this.pregunta=null
    },
    activo: function() {
     if(this.activar==true){
         this.activar=false;
     }else{
         this.activar=true;
     }
     this.lista()
    },
    registro(){
      this.modificarPregunta=true;
      let alerta=this;
     // alert(this.pregunta);
            let llamada=this;
         axios
        .post(`${server.baseURL}/api/preguntas/registro`,{registro:{pregunta:this.pregunta}})
        .then(function (response) {
                   alerta.alertSuccess(response.data.response.message)
                   llamada.lista();
                });
    },
    moficaModal(item){
        this.modificarPregunta=false;
        this.preguntaModificar=item;
      this.pregunta=this.preguntaModificar.pregunta;
    },
    modificar(){
let alerta=this;
    console.log(this.preguntaModificar.id+" "+this.preguntaModificar.pregunta)
            let llamada=this;
         axios
        .post(`${server.baseURL}/api/preguntas/modificar`,{modificar:{id:this.preguntaModificar.id,pregunta:this.pregunta}})
        .then(function (response) {
                   alerta.alertSuccess(response.data.response.message)
                   llamada.lista();
                });

      //alert(item.pregunta + " "+ item.id)
    },
    eliminar(item){
      let alerta=this;
      let llamada=this;
         axios
        .post(`${server.baseURL}/api/preguntas/eliminar`,{eliminar:{id:item}})
        .then(function (response) {
                   alerta.alertSuccess(response.data.response.message)
                   llamada.lista();
                });

    },lista(){
       axios
        .get(`${server.baseURL}/api/preguntas/vistaServicios`)
        .then(data => (this.listaPreguntas = data.data));
    },
    recuperar(item){
      let alerta=this;
      let llamada=this;
        axios
            .post(`${server.baseURL}/api/preguntas/recuperar`,{
              recuperar:{
                id:item
                }
              })
            .then(function (response) {
                   alerta.alertSuccess(response.data.response.message)
                   llamada.lista();
                });
             
  }
    }
};
</script>